Package com.xebialabs.xlrelease.domain.variables

# Class ValueProviderConfiguration

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.variables.ValueProviderConfiguration

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

Direct Known Subclasses:
  `CiProvider`, `ListOfStringValueProviderConfiguration`, `ScriptValueProviderConfiguration`

@Metadata(virtual=true, versioned=false) public abstract class ValueProviderConfiguration extends BaseConfigurationItem

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `CONFIGURATION_ID`
  `protected Variable`
  `variable`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValueProviderConfiguration()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Variable`
  `getVariable()`
  `void`
  `setVariable(Variable variable)`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CONFIGURATION_ID

    public static String CONFIGURATION_ID

  - ### variable

    @Property(asContainment=true) protected Variable variable

- ## Constructor Details

  - ### ValueProviderConfiguration

    public ValueProviderConfiguration()

- ## Method Details

  - ### getVariable

    public Variable getVariable()

  - ### setVariable

    public void setVariable(Variable variable)